Debian Bug report logs - #698914
grub-efi booting Windows 8 in UEFI mode

version graph

Package: grub-efi; Maintainer for grub-efi is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-efi is src:grub2.

Reported by: Steve McIntyre <steve@einval.com>

Date: Fri, 25 Jan 2013 08:36:01 UTC

Severity: serious

Tags: pending

Found in version grub2/1.99-26

Fixed in versions grub2/1.99-27.1, grub2/1.99-27+deb7u1, grub2/2.00-14

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Fri, 25 Jan 2013 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 25 Jan 2013 08:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-efi booting Windows 8 in UEFI mode
Date: Fri, 25 Jan 2013 08:34:33 +0000
Package: grub-efi
Version: 1.99-26
Severity: important

Hi,

On a new machine that came pre-configured with UEFI and Windows 8
(Lenovo G580), I've installed Debian dual-boot and grub-efi works well
for booting that Debian system. However, the menu entries created for
Windows on this machine (the primary Windows installation and the
recovery partition) both fail to boot with the same message:

  error: unknown command `drivemap'.
  error: invalid EFI file path.

  Press any key to continue...

The grub.cfg entries for these are:

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Windows Recovery Environment (loader) (on /dev/sda3)" --class windows --class os {
        insmod part_gpt
        insmod fat
        set root='(hd0,gpt3)'
        search --no-floppy --fs-uuid --set=root 4411-65A9
        drivemap -s (hd0) ${root}
        chainloader +1
}
menuentry "Windows 8 (loader) (on /dev/sda5)" --class windows --class os {
        insmod part_gpt
        insmod ntfs
        set root='(hd0,gpt5)'
        search --no-floppy --fs-uuid --set=root A48815AD88157ECC
        drivemap -s (hd0) ${root}
        chainloader +1
}
### END /etc/grub.d/30_os-prober ###

I'm guessing "drivemap" isn't a valid thing in grub-efi and this would
work in BIOS mode?

Based on information found from a web search, I've added by hand an
extra stanza to load the main Windows 8 entry in UEFI mode:

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
menuentry "Windows (UEFI)" {
   search --set=root --file /EFI/Microsoft/Boot/bootmgfw.efi
   chainloader /EFI/Microsoft/Boot/bootmgfw.efi
}
### END /etc/grub.d/40_custom ###

and this works flawlessly for me. I don't know how easy this would be
to integrate into os-prober; does that know that it's running on an
EFI system at all?

It would be lovely to get this sorted for Wheezy... :-)

-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-efi depends on:
ii  grub-common     1.99-26
ii  grub-efi-amd64  1.99-26

grub-efi recommends no packages.

grub-efi suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Wed, 24 Apr 2013 15:12:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drasko DRASKOVIC <drasko.draskovic@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 24 Apr 2013 15:12:17 GMT) Full text and rfc822 format available.

Message #10 received at 698914@bugs.debian.org (full text, mbox):

From: Drasko DRASKOVIC <drasko.draskovic@gmail.com>
To: 698914@bugs.debian.org
Subject: grub-efi booting Windows 8 in UEFI mode
Date: Wed, 24 Apr 2013 17:11:16 +0200
Hi all,
I experienced similar problem on an ASUS X20E1 with pre-installed
Windows 8 image and UEFI.

I used Wheezy RC1 netinst image fetched from the site and dd-ed to the
USB stick.

In order to install Debian I had to turn off Secure Boot in ASUS UEFI
menu. After I checked if Windows 8 still boots with Secure Boot turned
off and it was OK, so I proceeded with Debian installation.

Once installed, Debian could boot, but Windows 8 no, because Grub menu
entries produced by `od-prober` were wrong. Here are the entries :

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Windows Recovery Environment (loader) (on /dev/sda2)"
--class windows --class os {
	insmod part_gpt
	insmod ntfs
	set root='(hd0,gpt2)'
	search --no-floppy --fs-uuid --set=root F0A837FBA837BF42
	drivemap -s (hd0) ${root}
	chainloader +1
}
menuentry "Windows 8 (loader) (on /dev/sda4)" --class windows --class os {
	insmod part_gpt
	insmod ntfs
	set root='(hd0,gpt4)'
	search --no-floppy --fs-uuid --set=root 86B23B6FB23B633B
	drivemap -s (hd0) ${root}
	chainloader +1
}
### END /etc/grub.d/30_os-prober ###

Trying to boot these will fail, as bootloader will complain that it
does not recognize "drivemap" directive.

I tried replacing the entries by :

menuentry "Windows (UEFI)" {
   search --set=root --file /EFI/Microsoft/Boot/bootmgfw.efi
   chainloader /EFI/Microsoft/Boot/bootmgfw.efi
}

That helped find `bootmgfw.efi` but went directly into Windows
Recovery blue screen, saying that device is not connected and gving an
error 0xc000000f.

At least this confirms that Windows 8 bootloader was found, but the
way it was executed was wrong.

To confirm that Windows 8 still boots fine after Debian installation,
I changed ASUS UEFI boot menu (i.e. BIOS menu), to boot Windows 8
bootloader directly, and this worked fine, so I deducted that only
Grub path to the Windows 8 bootloader is wrong in the grub.cfg.

Here is a list of my partitions :

root@Mali:/home/drasko# lsblk
NAME   MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
sda      8:0    0 465.8G  0 disk
├─sda1   8:1    0   300M  0 part /boot/efi
├─sda2   8:2    0   900M  0 part
├─sda3   8:3    0   128M  0 part
├─sda4   8:4    0  97.5G  0 part
├─sda5   8:5    0  93.1G  0 part /
├─sda6   8:6    0   7.5G  0 part [SWAP]
└─sda7   8:7    0 266.4G  0 part /home

Windows 8 resides on /dev/sda4.

I then tried to mount bot Windows partitions : OS and Recovery and
look for "bootmgfw.efi" file. On Rrcovery partition it is located in
EFI/Microsoft/Boot/bootmgfw.efi, but on OS partition it is located in
Windows/EFI/Boot/bootmgfw.efi (or similar), so I tried replacing
entries by this path, hoping that it will boot Windows in normal mode,
and not give me Recovery screen.

The boot starts but immediately fails, with similar message (only that
Recovery screen is not showed this time). This potentially might work,
maybe some modules were not probed (see below).

Finally, I found that solution escribed here worked fine :
http://falstaff.agner.ch/2012/12/18/ubuntu-12-10-and-windows-8-with-secure-boot-mode/

This script : https://gist.github.com/falstaff84/4330598/raw/adaf598a78d568dbfada596441bdfad3b4dd3f97/25_windows_uefi
seem to be doing a job of broken `os-prober` and creates correct
grub.cfg entry :

### BEGIN /etc/grub.d/25_windows_uefi ###
menuentry "Windows 8 (loader)" {
	insmod search_fs_uuid
	insmod chain
	insmod part_gpt
	insmod fat
	set root='(hd0,gpt1)'
	search --no-floppy --fs-uuid --set=root BA44-790F
	chainloader /EFI/Microsoft/Boot/bootmgfw.efi
}
### END /etc/grub.d/25_windows_uefi ###

It is similar as the workaround proposed in this bug earlier, but  I
can notice two things here : UUID dieffers and adequate modules are
inserted (like `fat` for example).

I hope that this helps bug discovery and elimination.

Best regards,
Drasko



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 01:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 698914@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Drasko DRASKOVIC <drasko.draskovic@gmail.com>, 698914@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#698914: grub-efi booting Windows 8 in UEFI mode
Date: Thu, 25 Apr 2013 02:43:52 +0100
Hi Drasko!

On Wed, Apr 24, 2013 at 05:11:16PM +0200, Drasko DRASKOVIC wrote:
>Hi all,
>I experienced similar problem on an ASUS X20E1 with pre-installed
>Windows 8 image and UEFI.

...

>I tried replacing the entries by :
>
>menuentry "Windows (UEFI)" {
>   search --set=root --file /EFI/Microsoft/Boot/bootmgfw.efi
>   chainloader /EFI/Microsoft/Boot/bootmgfw.efi
>}
>
>That helped find `bootmgfw.efi` but went directly into Windows
>Recovery blue screen, saying that device is not connected and gving an
>error 0xc000000f.

OK...

>At least this confirms that Windows 8 bootloader was found, but the
>way it was executed was wrong.

...

>Finally, I found that solution escribed here worked fine :
>http://falstaff.agner.ch/2012/12/18/ubuntu-12-10-and-windows-8-with-secure-boot-mode/
>
>This script : https://gist.github.com/falstaff84/4330598/raw/adaf598a78d568dbfada596441bdfad3b4dd3f97/25_windows_uefi
>seem to be doing a job of broken `os-prober` and creates correct
>grub.cfg entry :
>
>### BEGIN /etc/grub.d/25_windows_uefi ###
>menuentry "Windows 8 (loader)" {
>	insmod search_fs_uuid
>	insmod chain
>	insmod part_gpt
>	insmod fat
>	set root='(hd0,gpt1)'
>	search --no-floppy --fs-uuid --set=root BA44-790F
>	chainloader /EFI/Microsoft/Boot/bootmgfw.efi
>}
>### END /etc/grub.d/25_windows_uefi ###
>
>It is similar as the workaround proposed in this bug earlier, but  I
>can notice two things here : UUID dieffers and adequate modules are
>inserted (like `fat` for example).
>
>I hope that this helps bug discovery and elimination.

It does help a little, thanks!

Based on what you have here and extra information and a
mostly-functional set of patches in

  https://lists.debian.org/debian-boot/2012/10/msg00185.html

I've built modified grub and os-prober packages. They work for me on
the (one!) Windows 8 UEFI machine I have available for testing. Could
you please try them and let me know if they work OK for you? They're
available for download from 

  http://www.einval.com/debian/efi/

along with the diffs I've used. If these work OK, I'm hoping we might
get the changes in before the Wheezy release. Without them, we're
going to get a lot of people reporting problems when installing
alongside Windows 8...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
  Getting a SCSI chain working is perfectly simple if you remember that there
  must be exactly three terminations: one on one end of the cable, one on the
  far end, and the goat, terminated over the SCSI chain with a silver-handled
  knife whilst burning *black* candles. --- Anthony DeBoer




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drasko DRASKOVIC <drasko.draskovic@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 698914@bugs.debian.org (full text, mbox):

From: Drasko DRASKOVIC <drasko.draskovic@gmail.com>
To: Steve McIntyre <steve@einval.com>
Cc: 698914@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#698914: grub-efi booting Windows 8 in UEFI mode
Date: Thu, 25 Apr 2013 11:30:55 +0200
Hi Steve,
great work indeed, because I can confirm that everything works fine
with new version on my machine (ASUS X201E notetbook) !

Here is a testing procedure :
drasko@Mali:~/grub-test$ wget
http://www.einval.com/debian/efi/os-prober_1.58_amd64.deb

root@Mali:/home/drasko/grub-test# apt-get remove os-prober
root@Mali:/home/drasko/grub-test# dpkg -i os-prober_1.58_amd64.deb

root@Mali:/home/drasko/grub-test# wget
http://www.einval.com/debian/efi/grub-common_1.99-27.1_amd64.deb
root@Mali:/home/drasko/grub-test# dpkg -i grub-common_1.99-27.1_amd64.deb
(Reading database ... 132913 files and directories currently installed.)
Preparing to replace grub-common 1.99-27 (using
grub-common_1.99-27.1_amd64.deb) ...
Unpacking replacement grub-common ...
Setting up grub-common (1.99-27.1) ...
Installing new version of config file /etc/grub.d/30_os-prober ...
Processing triggers for man-db ...

root@Mali:/home/drasko/grub-test# grub-mkimage -V
grub-mkimage (GRUB) 1.99-27.1

root@Mali:/home/drasko/grub-test# update-grub -v
grub-mkconfig (GRUB) 1.99-27.1

root@Mali:/home/drasko/grub-test# update-grub
Generating grub.cfg ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Found linux image: /boot/vmlinuz-3.2.0-4-amd64
Found initrd image: /boot/initrd.img-3.2.0-4-amd64
Found Windows Boot Manager on /dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi
done
root@Mali:/home/drasko/grub-test#


This creates a following entry in /boot/grub/grub.cfg :

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Windows Boot Manager (UEFI on /dev/sda1)" --class windows
--class os {
	insmod part_gpt
	insmod fat
	set root='(hd0,gpt1)'
	search --no-floppy --fs-uuid --set=root BA44-790F
	chainloader /EFI/Microsoft/Boot/bootmgfw.efi
}
### END /etc/grub.d/30_os-prober ###

It looked OK, and I rebooted PC. I could boot into the Windows 8
without any problems. Then I booted back into Debian to write you this
message ;).


BTW, I tried also combination of new os-prober and old grub, and
during grub-update a message is produced :
...
Found Windows Boot Manager on /dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi
  Windows Boot Manager is not yet supported by grub-mkconfig.

and no Windows menuentries are produced in /boot/grub/grub.cfg, as
expected. So, this version matching detection and warning also works
correctly.


On Thu, Apr 25, 2013 at 3:43 AM, Steve McIntyre <steve@einval.com> wrote:
> If these work OK, I'm hoping we might
> get the changes in before the Wheezy release. Without them, we're
> going to get a lot of people reporting problems when installing
> alongside Windows 8...

For me this is very good indicator that this solutions works, and that
you will have less headache after the release ;).
Thank you for your effort in making Debian machinery run smoothly. I'm
glad if I could help a bit.

Kind regards,
Drasko



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 10:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 10:45:09 GMT) Full text and rfc822 format available.

Message #25 received at 698914@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Drasko DRASKOVIC <drasko.draskovic@gmail.com>
Cc: 698914@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#698914: grub-efi booting Windows 8 in UEFI mode
Date: Thu, 25 Apr 2013 11:41:58 +0100
On Thu, Apr 25, 2013 at 11:30:55AM +0200, Drasko DRASKOVIC wrote:
>Hi Steve,
>great work indeed, because I can confirm that everything works fine
>with new version on my machine (ASUS X201E notetbook) !

...

>It looked OK, and I rebooted PC. I could boot into the Windows 8
>without any problems. Then I booted back into Debian to write you this
>message ;).
>
>
>BTW, I tried also combination of new os-prober and old grub, and
>during grub-update a message is produced :
>...
>Found Windows Boot Manager on /dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi
>  Windows Boot Manager is not yet supported by grub-mkconfig.
>
>and no Windows menuentries are produced in /boot/grub/grub.cfg, as
>expected. So, this version matching detection and warning also works
>correctly.

Asweome - thanks for testing so quickly for me. :-)

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"C++ ate my sanity" -- Jon Rabone




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 14:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 14:45:09 GMT) Full text and rfc822 format available.

Message #30 received at 698914@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: debian-boot@lists.debian.org, debian-release@lists.debian.org
Cc: pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Thu, 25 Apr 2013 15:40:53 +0100
[Message part 1 (text/plain, inline)]
Hi folks,

I opened #698914 a while back, concerned about the lack of support in
grub and os-prober for detecting Windows 8 on UEFI systems so that
working boot entries would be added automatically at installation
time. At the time, I did not consider the issue RC. However,
discussion yesterday with Wolodja Wentland suggests that this is
becoming a more common problem than I feared, and users are tripping
over this and asking for support on #debian and elsewhere. I'm
thinking that this bug should therefore be considered RC for the
Wheezy r0 release at this point.

He pointed me at an existing set of patches from the folks at
openSUSE, which I've adapted very slightly and tested out:

 * Using an existing installation
 * Using a locally-built CD to test the os-prober udeb

and all works fine, fixing the bug nicely. I would like to upload (and
get unblocks for) new grub2 and os-prober packages - see debdiffs of
changes attached. The changes are quite small and targeted, only
affecting code paths for EFI systems.

What do you think?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You raise the blade, you make the change... You re-arrange me 'til I'm sane...
[os-prober-efi.diff (text/x-diff, attachment)]
[grub-efi.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 19:09:05 GMT) Full text and rfc822 format available.

Message #35 received at 698914@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Steve McIntyre <steve@einval.com>
Cc: debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Thu, 25 Apr 2013 20:06:51 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2013-04-25 at 15:40 +0100, Steve McIntyre wrote:
> Hi folks,
> 
> I opened #698914 a while back, concerned about the lack of support in
> grub and os-prober for detecting Windows 8 on UEFI systems so that
> working boot entries would be added automatically at installation
> time. At the time, I did not consider the issue RC. However,
> discussion yesterday with Wolodja Wentland suggests that this is
> becoming a more common problem than I feared, and users are tripping
> over this and asking for support on #debian and elsewhere. I'm
> thinking that this bug should therefore be considered RC for the
> Wheezy r0 release at this point.
> 
> He pointed me at an existing set of patches from the folks at
> openSUSE, which I've adapted very slightly and tested out:
> 
>  * Using an existing installation
>  * Using a locally-built CD to test the os-prober udeb
> 
> and all works fine, fixing the bug nicely. I would like to upload (and
> get unblocks for) new grub2 and os-prober packages - see debdiffs of
> changes attached. The changes are quite small and targeted, only
> affecting code paths for EFI systems.
> 
> What do you think?

I agree that this is RC; we must not break Windows installations when
going to dual-boot and it is not safe to assume that UEFI systems have a
usable firmware boot menu.

[...]
> --- os-prober-1.57/os-probes/mounted/x86/05efi  1970-01-01 01:00:00.000000000 +0100
> +++ os-prober-1.58/os-probes/mounted/x86/05efi  2013-04-25 15:30:14.000000000 +0100
> @@ -0,0 +1,70 @@
> +#!/bin/sh
> +# Detects all Microsoft OSes on a collection of partitions.
> +
> +. /usr/share/os-prober/common.sh
> +
> +partition="$1"
> +mpoint="$2"
> +type="$3"
> +
> +# This file is for UEFI platform only
> +if [ ! -d /sys/firmware/efi ]; then
> +       debug "Not on UEFI platform"
> +       exit 1
> +fi
[...]

This directory only exists if efivars is loaded.  I assume that SUSE
configures it as built-in, and our kernel package has a patch to trigger
autoloading of efivars on systems with EFI.  But for the benefit of
people using custom kernel packages, can you check that update-grub will
modprobe efivars *before* running os-prober?  Alternately, could
update-grub explicitly tell os-prober to look for EFI boot loaders if
grub-efi is installed?

(Really, I think grub-efi ought to pull the boot entries from EFI
variables at boot time and append them to the menu.  But that's a rather
large chunk of work.)

Ben.

-- 
Ben Hutchings
Klipstein's 4th Law of Prototyping and Production:
                                    A fail-safe circuit will destroy others.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 23:15:04 GMT) Full text and rfc822 format available.

Message #40 received at 698914@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Fri, 26 Apr 2013 00:11:10 +0100
severity 698914 serious
thanks

On Thu, Apr 25, 2013 at 08:06:51PM +0100, Ben Hutchings wrote:
>On Thu, 2013-04-25 at 15:40 +0100, Steve McIntyre wrote:

...

>> and all works fine, fixing the bug nicely. I would like to upload (and
>> get unblocks for) new grub2 and os-prober packages - see debdiffs of
>> changes attached. The changes are quite small and targeted, only
>> affecting code paths for EFI systems.
>> 
>> What do you think?
>
>I agree that this is RC; we must not break Windows installations when
>going to dual-boot and it is not safe to assume that UEFI systems have a
>usable firmware boot menu.

Agreed; changing severity accordingly.

>[...]
>> --- os-prober-1.57/os-probes/mounted/x86/05efi  1970-01-01 01:00:00.000000000 +0100
>> +++ os-prober-1.58/os-probes/mounted/x86/05efi  2013-04-25 15:30:14.000000000 +0100
>> @@ -0,0 +1,70 @@
>> +#!/bin/sh
>> +# Detects all Microsoft OSes on a collection of partitions.
>> +
>> +. /usr/share/os-prober/common.sh
>> +
>> +partition="$1"
>> +mpoint="$2"
>> +type="$3"
>> +
>> +# This file is for UEFI platform only
>> +if [ ! -d /sys/firmware/efi ]; then
>> +       debug "Not on UEFI platform"
>> +       exit 1
>> +fi
>[...]
>
>This directory only exists if efivars is loaded.  I assume that SUSE
>configures it as built-in, and our kernel package has a patch to
>trigger autoloading of efivars on systems with EFI.  But for the
>benefit of people using custom kernel packages, can you check that
>update-grub will modprobe efivars *before* running os-prober?
>Alternately, could update-grub explicitly tell os-prober to look for
>EFI boot loaders if grub-efi is installed?

We could add a call to 30_os-prober before the actual call to
os-prober itself:

  modprobe efivars || true

which is simple and easy to track; I'm not so confident about making
more intrusive changes to grub config code than that, to be
honest. Does that sound like a reasonable option to people?

>(Really, I think grub-efi ought to pull the boot entries from EFI
>variables at boot time and append them to the menu.  But that's a rather
>large chunk of work.)

Ummm, yes. :-)

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Welcome my son, welcome to the machine.




Severity set to 'serious' from 'important' Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Thu, 25 Apr 2013 23:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 23:33:04 GMT) Full text and rfc822 format available.

Message #47 received at 698914@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Steve McIntyre <steve@einval.com>
Cc: debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Fri, 26 Apr 2013 00:31:41 +0100
On Fri, Apr 26, 2013 at 12:11:10AM +0100, Steve McIntyre wrote:
[...]
> >This directory only exists if efivars is loaded.  I assume that SUSE
> >configures it as built-in, and our kernel package has a patch to
> >trigger autoloading of efivars on systems with EFI.  But for the
> >benefit of people using custom kernel packages, can you check that
> >update-grub will modprobe efivars *before* running os-prober?
> >Alternately, could update-grub explicitly tell os-prober to look for
> >EFI boot loaders if grub-efi is installed?
> 
> We could add a call to 30_os-prober before the actual call to
> os-prober itself:
> 
>   modprobe efivars || true
[...]

'modprobe -q', please.  I already see too many FATAL (not really)
errors from modprobes that are intentionally ignored...

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Thu, 25 Apr 2013 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 25 Apr 2013 23:45:04 GMT) Full text and rfc822 format available.

Message #52 received at 698914@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Fri, 26 Apr 2013 00:39:13 +0100
On Fri, Apr 26, 2013 at 12:31:41AM +0100, Ben Hutchings wrote:
>On Fri, Apr 26, 2013 at 12:11:10AM +0100, Steve McIntyre wrote:
>[...]
>> >This directory only exists if efivars is loaded.  I assume that SUSE
>> >configures it as built-in, and our kernel package has a patch to
>> >trigger autoloading of efivars on systems with EFI.  But for the
>> >benefit of people using custom kernel packages, can you check that
>> >update-grub will modprobe efivars *before* running os-prober?
>> >Alternately, could update-grub explicitly tell os-prober to look for
>> >EFI boot loaders if grub-efi is installed?
>> 
>> We could add a call to 30_os-prober before the actual call to
>> os-prober itself:
>> 
>>   modprobe efivars || true
>[...]
>
>'modprobe -q', please.  I already see too many FATAL (not really)
>errors from modprobes that are intentionally ignored...

I'm considering this script running on hurd or kfreebsd too...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"...In the UNIX world, people tend to interpret `non-technical user'
 as meaning someone who's only ever written one device driver." -- Daniel Pead




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Sat, 27 Apr 2013 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 27 Apr 2013 13:39:04 GMT) Full text and rfc822 format available.

Message #57 received at 698914@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Sat, 27 Apr 2013 15:37:15 +0200
[Message part 1 (text/plain, inline)]
Steve McIntyre <steve@einval.com> (25/04/2013):
> I opened #698914 a while back, concerned about the lack of support
> in grub and os-prober for detecting Windows 8 on UEFI systems so
> that working boot entries would be added automatically at
> installation time. At the time, I did not consider the issue
> RC. However, discussion yesterday with Wolodja Wentland suggests
> that this is becoming a more common problem than I feared, and users
> are tripping over this and asking for support on #debian and
> elsewhere. I'm thinking that this bug should therefore be considered
> RC for the Wheezy r0 release at this point.

We'd need a d-i wheezy rc3. Not sure there's room/time for that. Would
be nice if we could grab that fix and one for grub-installer, but I'm
not sure the latter is going to be ready in time. I guess we could
deal with the “releasing d-i” in less than 2 days once components are
in place (since we already know exactly what's getting updated, that
we won't get any last-minute FTBFS to fix, that we have an easy
announce to draft, and since I'll be personally much more available
than during the past weeks).

Release managers, what do you think?

(On a side note, d-i wheezy rc2 is getting released right now.
Struggling with cvs as usual, oh the fun.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Sat, 27 Apr 2013 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 27 Apr 2013 14:03:04 GMT) Full text and rfc822 format available.

Message #62 received at 698914@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: Steve McIntyre <steve@einval.com>, debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Sat, 27 Apr 2013 15:01:04 +0100
On Sat, 2013-04-27 at 15:37 +0200, Cyril Brulebois wrote:
> Steve McIntyre <steve@einval.com> (25/04/2013):
> > I opened #698914 a while back, concerned about the lack of support
> > in grub and os-prober for detecting Windows 8 on UEFI systems so
[...]
> We'd need a d-i wheezy rc3. Not sure there's room/time for that. Would
> be nice if we could grab that fix and one for grub-installer, but I'm
> not sure the latter is going to be ready in time. I guess we could
> deal with the “releasing d-i” in less than 2 days once components are
> in place (since we already know exactly what's getting updated, that
> we won't get any last-minute FTBFS to fix, that we have an easy
> announce to draft, and since I'll be personally much more available
> than during the past weeks).
> 
> Release managers, what do you think?

I am somewhat nervous about the timescales, but if we can get targetted
fixes in and builds turned around quickly then I think it's probably
worth it to reduce some of the support pain.

> (On a side note, d-i wheezy rc2 is getting released right now.
> Struggling with cvs as usual, oh the fun.)

\o/ (at RC2, not CVS).

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Sat, 27 Apr 2013 20:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 27 Apr 2013 20:03:09 GMT) Full text and rfc822 format available.

Message #67 received at 698914@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 698914@bugs.debian.org, 705259@bugs.debian.org
Subject: Related
Date: Sat, 27 Apr 2013 16:00:35 -0400
Both these tickets report bugs identical or similar. I didn't 
investigate enough to tell what to do though.



Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Sun, 28 Apr 2013 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 28 Apr 2013 14:51:05 GMT) Full text and rfc822 format available.

Message #72 received at 698914@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: Steve McIntyre <steve@einval.com>, debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Sun, 28 Apr 2013 15:48:19 +0100
On Sat, 2013-04-27 at 15:01 +0100, Adam D. Barratt wrote:
> On Sat, 2013-04-27 at 15:37 +0200, Cyril Brulebois wrote:
> > Steve McIntyre <steve@einval.com> (25/04/2013):
> > > I opened #698914 a while back, concerned about the lack of support
> > > in grub and os-prober for detecting Windows 8 on UEFI systems so
> [...]
> > We'd need a d-i wheezy rc3. Not sure there's room/time for that. Would
[...]
> > Release managers, what do you think?
> 
> I am somewhat nervous about the timescales, but if we can get targetted
> fixes in and builds turned around quickly then I think it's probably
> worth it to reduce some of the support pain.

What's the status there? Being another day nearer the published date
doesn't make me any /less/ nervous, certainly...

Regards,

Adam




Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sun, 28 Apr 2013 15:36:05 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve@einval.com>:
Bug acknowledged by developer. (Sun, 28 Apr 2013 15:36:05 GMT) Full text and rfc822 format available.

Message #77 received at 698914-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 698914-close@bugs.debian.org
Subject: Bug#698914: fixed in grub2 1.99-27.1
Date: Sun, 28 Apr 2013 15:33:03 +0000
Source: grub2
Source-Version: 1.99-27.1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698914@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 26 Apr 2013 23:53:34 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-pc-bin grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot grub-efi-ia32-bin grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64 grub-ieee1275-bin grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong grub-mount-udeb
Architecture: source amd64
Version: 1.99-27.1
Distribution: unstable
Urgency: medium
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 698914
Changes: 
 grub2 (1.99-27.1) unstable; urgency=medium
 .
   * NMU
   * Add entries for Windows Boot Manager found via UEFI in
     os-prober. Closes: #698914 before the Wheezy release.
Checksums-Sha1: 
 66d558f5caf843dc783cd9af7a46a11adc285df7 3709 grub2_1.99-27.1.dsc
 727e8296689b2d4de929da736dadd5526c9ce13e 422413 grub2_1.99-27.1.diff.gz
 86aaa5d204c065efb72f93e1c8d4c316e1f14b9b 2492 grub2_1.99-27.1_amd64.deb
 dd686ee7a206e63c2c36c9ac42b48493d5227b0a 1084 grub-linuxbios_1.99-27.1_amd64.deb
 7492857247adacdf4b2628d5d9dbe1256ce00420 1100 grub-efi_1.99-27.1_amd64.deb
 5c8998c8711ccb3ddfa39fe5fdac4d9be15644ba 1533020 grub-common_1.99-27.1_amd64.deb
 dca00b41ea861541fff263760d5df772066a048e 94220 grub2-common_1.99-27.1_amd64.deb
 b5c4b2ccf0d1020f76d1435de49948330a75da90 1744682 grub-emu_1.99-27.1_amd64.deb
 8f53731f6812f924c736a558d2944b0cd3a4f56f 638634 grub-pc-bin_1.99-27.1_amd64.deb
 ea614ad17408997c09f35545fd8852c976ac3eb2 170692 grub-pc_1.99-27.1_amd64.deb
 cb73e6bd5ea6d945c12db3ec1209acb32e7a1134 822718 grub-rescue-pc_1.99-27.1_amd64.deb
 64d9c7ef5fb2736bb722384f8f3471906041c3d7 447940 grub-coreboot-bin_1.99-27.1_amd64.deb
 d1800a3a0c961a04cd792faa1d77d8e969c9671f 45584 grub-coreboot_1.99-27.1_amd64.deb
 f2638a712996f678428c851a983f68390cc28623 455872 grub-efi-ia32-bin_1.99-27.1_amd64.deb
 4cce2ba3ddb41aa6d799848335ac813dd1e1240b 45664 grub-efi-ia32_1.99-27.1_amd64.deb
 e6659a30b62bbf3231cd47d468df0af7a6a6f46e 476158 grub-efi-amd64-bin_1.99-27.1_amd64.deb
 ac4593e9cd5967f1466afd2c367df818cc45d5d9 45654 grub-efi-amd64_1.99-27.1_amd64.deb
 4ec32c152bc349821a7b5c25bfe3199600a10b66 446024 grub-ieee1275-bin_1.99-27.1_amd64.deb
 3c8782f6ea36d96711644f49aeb28f2636ba3923 45614 grub-ieee1275_1.99-27.1_amd64.deb
 e4a01fd179675565c50ab47d198be46f4b909b93 761648 grub-firmware-qemu_1.99-27.1_amd64.deb
 480c920631701a3f44224e5cbb21dc8b648c83b9 172358 grub-mount-udeb_1.99-27.1_amd64.udeb
Checksums-Sha256: 
 ef092e53a83774a4cc4faef0e87b080a69b7579347371a82db5d55c5bcb9c53d 3709 grub2_1.99-27.1.dsc
 fdcb713310de1536006092d76203914e2fbf79a09f7969c8df9dc1ceef6d9f29 422413 grub2_1.99-27.1.diff.gz
 78460134a1c69665488c52cb30b0b98302d4103d8449d4e988b88a646e8f38b6 2492 grub2_1.99-27.1_amd64.deb
 035033b8e120a46db9615f60658a0c5175e5d7a4481eba61c1943f9f4ce93bcb 1084 grub-linuxbios_1.99-27.1_amd64.deb
 77713d486be6b9127f049ea613bd2345cb867c8119604114cba368a6cc82ab62 1100 grub-efi_1.99-27.1_amd64.deb
 8a77b691e1c34e855b1c2553f04f3753701c15dc1fce7cca77d7331fc5d4f868 1533020 grub-common_1.99-27.1_amd64.deb
 96d72ba9b615efd99be4453581d879dbb0223634b92823ba4998b89e7efa76b2 94220 grub2-common_1.99-27.1_amd64.deb
 b8132dfc923f297d69be1270fd5a2dee57944408de16ac5b3d5404b8c8b6573b 1744682 grub-emu_1.99-27.1_amd64.deb
 8bdcc2288c13fc15e9f023bcea5b6fd53852dac13d00a4d94feeffa6cb117d95 638634 grub-pc-bin_1.99-27.1_amd64.deb
 6c88717783069fa56dc0c1afffb373ce983b9e423e52dc35a411d0467f8157e4 170692 grub-pc_1.99-27.1_amd64.deb
 aebeb82a270b5585f9c112a3c33c50ab814073b0337d56fdd8e032be1b05f23d 822718 grub-rescue-pc_1.99-27.1_amd64.deb
 8bb199232ed37f1ffdb183c70c43e3aa1b37d9d335758fd77d857d6bf148ddfc 447940 grub-coreboot-bin_1.99-27.1_amd64.deb
 262a5edc3bed49eece731d9f79cacdf4371c00623cf91d252bb316e7aeb8961f 45584 grub-coreboot_1.99-27.1_amd64.deb
 8342f0925fe6cc321d229285e0191787467f677c93fc5e7eda257a84da68a5d5 455872 grub-efi-ia32-bin_1.99-27.1_amd64.deb
 26af9a850ea28dd749d59468c56438f9810abfbdd32ee2f04bae089ea653962b 45664 grub-efi-ia32_1.99-27.1_amd64.deb
 ec04d72ac998715c9847de89366e2f569fd8be9abc51c9134bb2d28cb136e484 476158 grub-efi-amd64-bin_1.99-27.1_amd64.deb
 cb5ed71223f17dde155fce47ab02288b734f8501c8e2d423c241f4e05cb46198 45654 grub-efi-amd64_1.99-27.1_amd64.deb
 0cffbc49f6fc1ce97640ed60dad914c1e1ac26d623d05635422342137f4b0ce2 446024 grub-ieee1275-bin_1.99-27.1_amd64.deb
 48dcf894f58227ce7cf45a5515e1d79c32787396dfd1d91615bbe9ade8bdf93d 45614 grub-ieee1275_1.99-27.1_amd64.deb
 8f1d5738ad6293a3710d4c25df74fe658667a14c0e39d673e190e2d9f6be7de3 761648 grub-firmware-qemu_1.99-27.1_amd64.deb
 199724b9fe8fc5d678df71ccf71521fe9c2b33c7b3f3739993d63f71d24b628f 172358 grub-mount-udeb_1.99-27.1_amd64.udeb
Files: 
 b135683f2cbcf15b3d376253514ef685 3709 admin extra grub2_1.99-27.1.dsc
 a0fb430dda14d42f2b3cd10e90a5065b 422413 admin extra grub2_1.99-27.1.diff.gz
 1d4a0620688c6994d182b77ae49405f2 2492 admin extra grub2_1.99-27.1_amd64.deb
 0aac5d0f8f6e1f034c72647b4e52be54 1084 admin extra grub-linuxbios_1.99-27.1_amd64.deb
 e9483f0ea13ab89ba4dd4d60ca7e4bcd 1100 admin extra grub-efi_1.99-27.1_amd64.deb
 a5a1f51a581fbba9ce271f521beb1923 1533020 admin optional grub-common_1.99-27.1_amd64.deb
 1e7c20004cf3aae77d93022a3a636865 94220 admin optional grub2-common_1.99-27.1_amd64.deb
 b43e94cb719a030b9d9f7856fb4702bd 1744682 admin extra grub-emu_1.99-27.1_amd64.deb
 10e940ca57fbef8c16bbcc59e511ef0e 638634 admin optional grub-pc-bin_1.99-27.1_amd64.deb
 21404107780b146067418179993694cd 170692 admin optional grub-pc_1.99-27.1_amd64.deb
 8b8fe6bc1b769939b82ff08ad352d577 822718 admin extra grub-rescue-pc_1.99-27.1_amd64.deb
 733e107b909b3837f0f520592d8422fa 447940 admin extra grub-coreboot-bin_1.99-27.1_amd64.deb
 b127c87c110c5c9f366894071050956e 45584 admin extra grub-coreboot_1.99-27.1_amd64.deb
 fbdcd7bc6a4d07d3798ca03b02435ea1 455872 admin extra grub-efi-ia32-bin_1.99-27.1_amd64.deb
 20baf5770213e0998338a029555dd580 45664 admin extra grub-efi-ia32_1.99-27.1_amd64.deb
 6c3d7f93ac22b0cadc5592c840b45071 476158 admin extra grub-efi-amd64-bin_1.99-27.1_amd64.deb
 31b28761b97c737ab0f81e39fa133cf4 45654 admin extra grub-efi-amd64_1.99-27.1_amd64.deb
 baf4b6fb2998e08013b3c29e78de4164 446024 admin extra grub-ieee1275-bin_1.99-27.1_amd64.deb
 e968eb56555792e9728c010f00106c48 45614 admin extra grub-ieee1275_1.99-27.1_amd64.deb
 6df2fbff42bec8cb5d6b2c1537723689 761648 admin extra grub-firmware-qemu_1.99-27.1_amd64.deb
 86df251bf72f27f13207069461cb698e 172358 debian-installer extra grub-mount-udeb_1.99-27.1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRfT0nAAoJEFh5eVc0QmhOTPoP/0UTePglI+9thlPMi5JvIcCw
SGjqE8jCchLPvfdVDyCZ8PMqE2yKapWS5Eqlp36Uzowikz1vFSr8m/8CsHVQrkdm
U/UroMkT7YrqD4NrW1eoQaeXZwzfVu3uyl1+RzBbe7pdYJPPZRIgA4DikirOrRMi
vYMPViLhGXc4AzeOXrGsHb60hY5R1/jygL8Hqn6/8Qdv0YRxiIbeLpsFhN+n07L4
2DR6mby3pXO0lqnoVHjlMdUY7w7TrKnJLt1N3YZFSRXICoksg28UG7D/tAyXvqPx
3OsMPVphsMtRRjRNM01lnLY89s5f8sCdi09GMqnC7rFbhsFH9VXKDXGl6dr6O3KG
jSa9Pf19Cgnmq3A2rZ6a87sd07mnhwPPL1V4v1GXOK+GHpayHTg4dWzcV8D8V+pS
s6RuhhRbdmUxGgPMltN4XD+p9Cf7bbdo8w1YmGw73TjWswGHyEV1vSPFjQA+fhtg
KKeCaiv14fGaRHNOrIWUahobEBKJL4W+1LKDg1FUzGGgOTrEYeRU/F7s4mj+Bric
zVjvP0V0CHO8ocanl0jddGWOo6tTO4/ltHEQoYMupQoT03Sf3KftpwHHWuR7vH58
6TgonCHraxdQNNHHXFMOWHA9V/cZLKK5j0GMgNTh+ezrbZarxiuXVTNhlreMsE7W
QtU93nxjjwm43jip5EKJ
=/XP4
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Sun, 28 Apr 2013 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 28 Apr 2013 20:39:03 GMT) Full text and rfc822 format available.

Message #82 received at 698914@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Steve McIntyre <steve@einval.com>, debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Sun, 28 Apr 2013 22:36:37 +0200
[Message part 1 (text/plain, inline)]
Adam D. Barratt <adam@adam-barratt.org.uk> (28/04/2013):
> What's the status there? Being another day nearer the published date
> doesn't make me any /less/ nervous, certainly...

As Steve told you on IRC, things got uploaded.

While I have no ways of testing those things, the patches look good to
me, please unblock/unblock-udeb/urgent grub2 & os-prober.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Sun, 28 Apr 2013 20:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 28 Apr 2013 20:48:14 GMT) Full text and rfc822 format available.

Message #87 received at 698914@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: Steve McIntyre <steve@einval.com>, debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Sun, 28 Apr 2013 21:44:34 +0100
On Sun, 2013-04-28 at 22:36 +0200, Cyril Brulebois wrote:
> While I have no ways of testing those things, the patches look good to
> me, please unblock/unblock-udeb/urgent grub2 & os-prober.

All done.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Sun, 28 Apr 2013 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 28 Apr 2013 22:15:04 GMT) Full text and rfc822 format available.

Message #92 received at 698914@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: Steve McIntyre <steve@einval.com>, debian-boot@lists.debian.org, debian-release@lists.debian.org, pkg-grub-devel@lists.alioth.debian.org, Wolodja Wentland <debian@babilen5.org>, 698914@bugs.debian.org
Subject: Re: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Sun, 28 Apr 2013 23:10:36 +0100
On Sun, 2013-04-28 at 21:44 +0100, Adam D. Barratt wrote:
> On Sun, 2013-04-28 at 22:36 +0200, Cyril Brulebois wrote:
> > While I have no ways of testing those things, the patches look good to
> > me, please unblock/unblock-udeb/urgent grub2 & os-prober.
> 
> All done.

As mentioned on IRC, grub2 has picked up a dependency on sid's lvm2, so
will need a tpu upload to get in to wheezy.

Regards,

Adam




Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Mon, 29 Apr 2013 00:48:16 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve@einval.com>:
Bug acknowledged by developer. (Mon, 29 Apr 2013 00:48:16 GMT) Full text and rfc822 format available.

Message #97 received at 698914-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 698914-close@bugs.debian.org
Subject: Bug#698914: fixed in grub2 1.99-27+deb7u1
Date: Mon, 29 Apr 2013 00:47:43 +0000
Source: grub2
Source-Version: 1.99-27+deb7u1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698914@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 29 Apr 2013 00:32:07 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-pc-bin grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot grub-efi-ia32-bin grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64 grub-ieee1275-bin grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong grub-mount-udeb
Architecture: source amd64
Version: 1.99-27+deb7u1
Distribution: testing-proposed-updates
Urgency: medium
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 698914
Changes: 
 grub2 (1.99-27+deb7u1) testing-proposed-updates; urgency=medium
 .
   * NMU
   * Add entries for Windows Boot Manager found via UEFI in
     os-prober. Closes: #698914 before the Wheezy release.
   * TPU upload to lose dependency blockage on LVM.
Checksums-Sha1: 
 75def42ac2eba1a601ebe0f49855192e513b754d 3729 grub2_1.99-27+deb7u1.dsc
 0dac6e63c5abb5de492330a02b0502c6d92c9add 422448 grub2_1.99-27+deb7u1.diff.gz
 7fd2f0e9c18954f4e1f9f1d306f800574443f09d 2498 grub2_1.99-27+deb7u1_amd64.deb
 c9f321773c3150583bcddffbca9bad76a2b29a6d 1086 grub-linuxbios_1.99-27+deb7u1_amd64.deb
 c0327e12fa2e91eeec59fa7ffda322248837f745 1098 grub-efi_1.99-27+deb7u1_amd64.deb
 563cd6bbeb877642bfd8c1785c031a0d5427dd1e 1532776 grub-common_1.99-27+deb7u1_amd64.deb
 30ec06c31c4ee0df76e7a316037bc734399038af 94252 grub2-common_1.99-27+deb7u1_amd64.deb
 cd0d50cd6651e59bbe3fd7060f9c4b56d23b992a 1742520 grub-emu_1.99-27+deb7u1_amd64.deb
 1e8b5748e2a2c272c253840d75f7f49cb6812e82 638880 grub-pc-bin_1.99-27+deb7u1_amd64.deb
 61d993f232a7c22da8dbd3f9760144fba7dbf491 170686 grub-pc_1.99-27+deb7u1_amd64.deb
 55e56ebbf63d08e5cee8e933b8201dea1cde9b70 823770 grub-rescue-pc_1.99-27+deb7u1_amd64.deb
 9cfb174a1e775a384423e4503903a4246ec0299b 447854 grub-coreboot-bin_1.99-27+deb7u1_amd64.deb
 5dce0a8cbd57671d4ed5a18cc0f00b76b094bf17 45600 grub-coreboot_1.99-27+deb7u1_amd64.deb
 0d58eb943b8bd8c5d9ff1a0b4a774f9a66d1f511 456014 grub-efi-ia32-bin_1.99-27+deb7u1_amd64.deb
 c87cb7ab0cd14cac39a77a1e71fd06633cc7d124 45688 grub-efi-ia32_1.99-27+deb7u1_amd64.deb
 ba16a2f2e816a9abe6fe48196a1ac09440ce8b66 476296 grub-efi-amd64-bin_1.99-27+deb7u1_amd64.deb
 54e6ad163c04d7291642abc70b2771f1fa6c325b 45668 grub-efi-amd64_1.99-27+deb7u1_amd64.deb
 1eda6fb0b669715808a658396047a494b364f436 445986 grub-ieee1275-bin_1.99-27+deb7u1_amd64.deb
 565fa926633daca31444e239acf5809f3967aa59 45628 grub-ieee1275_1.99-27+deb7u1_amd64.deb
 af8efa7a58f06d4624a731599443b5a3c1faee00 761574 grub-firmware-qemu_1.99-27+deb7u1_amd64.deb
 0a64694271c2be987c60a96935439472da580f28 172290 grub-mount-udeb_1.99-27+deb7u1_amd64.udeb
Checksums-Sha256: 
 0cb5c2b494258c0a5e388c4638104d447ff02935b5df70facdb2ba4d7d53d9dc 3729 grub2_1.99-27+deb7u1.dsc
 cbec6fc04a38f0a5bc65442976bb00d39d110673b3280c04d301a49eaf8a9501 422448 grub2_1.99-27+deb7u1.diff.gz
 70a3e18109866d2163aba116bcfd7e3b5c54bd3d9113f61cb91a729a24dbe588 2498 grub2_1.99-27+deb7u1_amd64.deb
 514663fc814b9ae5e4b1455b517e04445d8b8e2749a237e8501e1db0453def2e 1086 grub-linuxbios_1.99-27+deb7u1_amd64.deb
 a414f575a2498131486566310414cc0b750590173b21be828141805f2aaf4410 1098 grub-efi_1.99-27+deb7u1_amd64.deb
 69ba3e6fcf3fec7a6ff060ad3c45637a039feb68eb83ee69f9162223da68902f 1532776 grub-common_1.99-27+deb7u1_amd64.deb
 1349f2e606ab45197e20e50c0bc1e14d799c9d33fe21c0dbae091689b8a0a690 94252 grub2-common_1.99-27+deb7u1_amd64.deb
 4ed17a31fffc060017b06560955ce7689846dead7740b9a7564582c60a82c142 1742520 grub-emu_1.99-27+deb7u1_amd64.deb
 283c08404f3939dd7572aff4c2b11bd4447f3d6cd3b35467e559f0c6f6edb8d3 638880 grub-pc-bin_1.99-27+deb7u1_amd64.deb
 f52eca99734ea086f83d09646146eb7f5e33177970583467e1d165a2a416fee5 170686 grub-pc_1.99-27+deb7u1_amd64.deb
 a2eca5ea9e8ad8f162b5a08789b634771ccc6e05e4116abedc5f00c722b2a482 823770 grub-rescue-pc_1.99-27+deb7u1_amd64.deb
 104ca9ac9cf2e5bb8e0e3acf014b9fe9300c2138c78aa23646ef092922cb2f42 447854 grub-coreboot-bin_1.99-27+deb7u1_amd64.deb
 126f3b2aa644c7c81296962e011e70dcf435220a290684c6a78c5224bb8a9033 45600 grub-coreboot_1.99-27+deb7u1_amd64.deb
 2195eb125021fcedef2b83cb600acf697a0f2cec250478f8fd980b1999e99fa4 456014 grub-efi-ia32-bin_1.99-27+deb7u1_amd64.deb
 573aa2f80f247a121f5881b8a4543baf65db16977992607415b33b1a4f14090d 45688 grub-efi-ia32_1.99-27+deb7u1_amd64.deb
 c156efc29c24915bc4a5e9eefb4eafdd21ad06aca3de5ee5e219fd2e2c2ae00a 476296 grub-efi-amd64-bin_1.99-27+deb7u1_amd64.deb
 841ab2dfe02dcdea33ea8adfa4d941aba3e9efcf419b552e1d1ecb73692cd663 45668 grub-efi-amd64_1.99-27+deb7u1_amd64.deb
 a5cc1d2dc03f611eb1216df6943fc76cce329c5cfea20b5980a5342a66fd97c8 445986 grub-ieee1275-bin_1.99-27+deb7u1_amd64.deb
 9a14677e8a0be4f58dd82f1f3d0662b40a32baf2066b67d6d1d4bd9936a1e2ba 45628 grub-ieee1275_1.99-27+deb7u1_amd64.deb
 8ea0a3f9cc4bea657a1a623e574fdc44f0532c3b0f15af46a31da23525287160 761574 grub-firmware-qemu_1.99-27+deb7u1_amd64.deb
 c12782539068fa352a3a3b58be0f8d60fdc123e05e5bb31a32a61304c75907f9 172290 grub-mount-udeb_1.99-27+deb7u1_amd64.udeb
Files: 
 f39ee02d7f5fce5bccd1193541dc2082 3729 admin extra grub2_1.99-27+deb7u1.dsc
 0ca05cdf274fb7e9a72bdfc420a7d88b 422448 admin extra grub2_1.99-27+deb7u1.diff.gz
 bfbee1843c580aef2b416349ff76b573 2498 admin extra grub2_1.99-27+deb7u1_amd64.deb
 58d5fb2893e6e43efbd4995b9bb13335 1086 admin extra grub-linuxbios_1.99-27+deb7u1_amd64.deb
 ac8e1742ae6dc404055f49d7e44d9699 1098 admin extra grub-efi_1.99-27+deb7u1_amd64.deb
 d92c3b2e9b67e48679cd8a7627da10d3 1532776 admin optional grub-common_1.99-27+deb7u1_amd64.deb
 4ba5850a768561691396e818c217deb6 94252 admin optional grub2-common_1.99-27+deb7u1_amd64.deb
 9d5f2a9bc7a3f46e2d7c935d8a343ed3 1742520 admin extra grub-emu_1.99-27+deb7u1_amd64.deb
 fd02c7e6aafa8c46e06ab19d9ece602a 638880 admin optional grub-pc-bin_1.99-27+deb7u1_amd64.deb
 043aa05098c2f3edf97e3db232141d7d 170686 admin optional grub-pc_1.99-27+deb7u1_amd64.deb
 92017cba00850f286721fa266ceafb8c 823770 admin extra grub-rescue-pc_1.99-27+deb7u1_amd64.deb
 67a11d2ddfdde9594290a39e8c6fe0f2 447854 admin extra grub-coreboot-bin_1.99-27+deb7u1_amd64.deb
 9704f8620adbb805dd592469aa942df4 45600 admin extra grub-coreboot_1.99-27+deb7u1_amd64.deb
 a6c5861a940b6f3939a068a8571d48b6 456014 admin extra grub-efi-ia32-bin_1.99-27+deb7u1_amd64.deb
 4077c86297d499de3a51434971c55f3e 45688 admin extra grub-efi-ia32_1.99-27+deb7u1_amd64.deb
 58a9a50b7c5cb329b86a5208d5cf5570 476296 admin extra grub-efi-amd64-bin_1.99-27+deb7u1_amd64.deb
 f9111e0b0211f1db4c8b61d467917b5b 45668 admin extra grub-efi-amd64_1.99-27+deb7u1_amd64.deb
 85ba5773f52b8537d435e379a778fbde 445986 admin extra grub-ieee1275-bin_1.99-27+deb7u1_amd64.deb
 810d19355b1b015ec8d3aa757948cf88 45628 admin extra grub-ieee1275_1.99-27+deb7u1_amd64.deb
 2edd3b224215ad3b5c6cbab708503758 761574 admin extra grub-firmware-qemu_1.99-27+deb7u1_amd64.deb
 e79a31267a2c78ec44b35053ebd7fb75 172290 debian-installer extra grub-mount-udeb_1.99-27+deb7u1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRfcJsAAoJEFh5eVc0QmhODkMP/iaI32phBmLOn/kRsDgAqrC0
Y/6nW0FVScQoC1s5uuNukadxvQ+XLIoELFJ0va3PfcQ5HR8NCCaejF09kboLgCoJ
3XkbutwaGzsfRWsu5+v9ehDzR4QktVaM+yCcVv9xulodnH5q3x20tqWmwi88Cj4O
miVJh33JQndyev1jOA9YGwsgj2TAFTHGEX1x2f2ODi2zuE/tR9cZUk27T9LTS1NH
/zELzs3Uf+C8S9NKq05NpL8XJubm0gBOGCkNhYTfQ5Q21bqqcZqyGLedNyHH4Pgh
oGtDAgd8z9krtWB6udUCVwGvbNAVm+4LdoZ5yFp7X8xrAcZ2jTeVQBjnS9a3jycq
alq4oY1N4hW7gVpQUbqxFSbJ9dSnBrdHnUCNUz2CCixpjrWEm1q7L/MMX7ST0+Fp
G9SYML7pws/5li4CMnQHqLBvsogpRVBUvHhBO2fZD4X1gU6Cz9Lsu5YAZAh0t4tr
5HVm0k4+WuhTgw0kETaxf2DiLSWt9oP3VI8zFoFrklXyzpcHocCtClS5U/tVVyPA
Znx+F4evnZGF5VNkeIrevrYPQouBJH4shHo5YozxFBn3QbVWVlUMj7ELbr0o501f
nTydrPb/YPZWzpPBv1bszL09CuUyAw8Bs8/GsvqFHyXilO6PjGLLkwdqmJBEmwnp
jy9keEJ/uOimjkTjqkQp
=SDwO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#698914; Package grub-efi. (Wed, 08 May 2013 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 08 May 2013 16:27:04 GMT) Full text and rfc822 format available.

Message #102 received at 698914@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Steve McIntyre <steve@einval.com>, 698914@bugs.debian.org
Subject: Re: Bug#698914: Fixing #698914 for wheezy (grub booting Windows 8 via UEFI)
Date: Wed, 8 May 2013 17:24:26 +0100
On Thu, Apr 25, 2013 at 03:40:53PM +0100, Steve McIntyre wrote:
> He pointed me at an existing set of patches from the folks at
> openSUSE, which I've adapted very slightly and tested out:
> 
>  * Using an existing installation
>  * Using a locally-built CD to test the os-prober udeb
> 
> and all works fine, fixing the bug nicely. I would like to upload (and
> get unblocks for) new grub2 and os-prober packages - see debdiffs of
> changes attached. The changes are quite small and targeted, only
> affecting code paths for EFI systems.

Thanks for this, and sorry for being unresponsive at the time.  I've
merged these into the 2.00 packaging branch as well, which I plan to
land in unstable soon.

-- 
Colin Watson                                       [cjwatson@debian.org]



Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Thu, 09 May 2013 10:21:19 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve@einval.com>:
Bug acknowledged by developer. (Thu, 09 May 2013 10:21:19 GMT) Full text and rfc822 format available.

Message #107 received at 698914-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 698914-close@bugs.debian.org
Subject: Bug#698914: fixed in grub2 2.00-14
Date: Thu, 09 May 2013 10:18:25 +0000
Source: grub2
Source-Version: 2.00-14

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698914@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 09 May 2013 00:14:55 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub2-common grub-emu grub-emu-dbg grub-pc-bin grub-pc-dbg grub-pc grub-rescue-pc grub-coreboot-bin grub-coreboot-dbg grub-coreboot grub-efi-ia32-bin grub-efi-ia32-dbg grub-efi-ia32 grub-efi-amd64-bin grub-efi-amd64-dbg grub-efi-amd64 grub-efi-ia64-bin grub-efi-ia64-dbg grub-efi-ia64 grub-ieee1275-bin grub-ieee1275-dbg grub-ieee1275 grub-firmware-qemu grub-yeeloong-bin grub-yeeloong-dbg grub-yeeloong grub-theme-starfield grub-mount-udeb
Architecture: source i386
Version: 2.00-14
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-coreboot-bin - GRand Unified Bootloader, version 2 (Coreboot binaries)
 grub-coreboot-dbg - GRand Unified Bootloader, version 2 (Coreboot debug files)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-amd64-bin - GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
 grub-efi-amd64-dbg - GRand Unified Bootloader, version 2 (EFI-AMD64 debug files)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-efi-ia32-bin - GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
 grub-efi-ia32-dbg - GRand Unified Bootloader, version 2 (EFI-IA32 debug files)
 grub-efi-ia64 - GRand Unified Bootloader, version 2 (IA64 version)
 grub-efi-ia64-bin - GRand Unified Bootloader, version 2 (IA64 binaries)
 grub-efi-ia64-dbg - GRand Unified Bootloader, version 2 (IA64 debug files)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-emu-dbg - GRand Unified Bootloader, version 2 (emulated debug files)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-ieee1275-bin - GRand Unified Bootloader, version 2 (Open Firmware binaries)
 grub-ieee1275-dbg - GRand Unified Bootloader, version 2 (Open Firmware debug files)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-mount-udeb - export GRUB filesystems using FUSE (udeb)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin - GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub-pc-dbg - GRand Unified Bootloader, version 2 (PC/BIOS debug files)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-theme-starfield - GRand Unified Bootloader, version 2 (starfield theme)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub-yeeloong-bin - GRand Unified Bootloader, version 2 (Yeeloong binaries)
 grub-yeeloong-dbg - GRand Unified Bootloader, version 2 (Yeeloong debug files)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
 grub2-common - GRand Unified Bootloader (common files for version 2)
Closes: 698914 703539 705636
Changes: 
 grub2 (2.00-14) unstable; urgency=low
 .
   * Merge from Ubuntu:
     - Don't call update-grub in the zz-update-grub kernel hook if
       /boot/grub/grub.cfg doesn't exist.
     - acpihalt: expand parser to handle SSDTs and some more opcodes.  Fixes
       test suite hang with current seabios.
   * Remove kernel-specific grub.d conffiles that were dropped from packages
     built for all but their corresponding kernel type in 1.96+20090307-1
     (closes: #703539).
   * Look for grub-bios-setup in /usr/lib/grub/i386-pc/ as well (closes:
     #705636).
   * Merge 1.99-27.1 (thanks, Steve McIntyre):
     - Add entries for Windows Boot Manager found via UEFI in os-prober
       (closes: #698914).
Checksums-Sha1: 
 11f965b84c85ac6d288f621dcbdfd62b1d0ebb8e 4455 grub2_2.00-14.dsc
 040809869832ebd5a62b3c861beac2204cc750c6 353347 grub2_2.00-14.debian.tar.gz
 11518fadb54f9b0c4c1b04adf38433a75e0fa2c9 2500 grub2_2.00-14_i386.deb
 a027383ee455a82b5a784f6c7eb26a749a0756af 1088 grub-linuxbios_2.00-14_i386.deb
 4b8bc414ed1870ea348475fbb1f9a5831399fa84 1098 grub-efi_2.00-14_i386.deb
 996a5a1c3268df7a555ef1a70d6632ec09442829 2025386 grub-common_2.00-14_i386.deb
 07c70c0089c75ff1bee2377e97a88ddf45ecb0ed 115550 grub2-common_2.00-14_i386.deb
 4e461e9a0c0b0dc4b1886bfc7d787a61e368e607 2340242 grub-emu_2.00-14_i386.deb
 eaa8f1debbee53565c5f36b254072056558f3423 1775118 grub-emu-dbg_2.00-14_i386.deb
 43f5f2dabaff6a0dc0fae12ed189f19e04159bfc 800084 grub-pc-bin_2.00-14_i386.deb
 fe1e1e53857218d8481c0131cfa51063da6e17fd 2317248 grub-pc-dbg_2.00-14_i386.deb
 9ab5a1a1cf8adada3defceaad6697501391b0437 168506 grub-pc_2.00-14_i386.deb
 222df3c60bf87e13e7d83f1416228f9ba19ffcc0 1006052 grub-rescue-pc_2.00-14_i386.deb
 5c077ecd1b71db484ba3565b27709cdf5ed00fff 522924 grub-coreboot-bin_2.00-14_i386.deb
 de33e6596cbd430bdb6c9d2eb45bffe5614875e0 2185216 grub-coreboot-dbg_2.00-14_i386.deb
 47dbba45dc0c882177f518ad1e2a228b97c717e4 43488 grub-coreboot_2.00-14_i386.deb
 aa83ccfec40d2b19886ff4056c58921dbfdb9204 531380 grub-efi-ia32-bin_2.00-14_i386.deb
 25852f1a0faf0d2f24d8fda37ced3b7847045b73 2259320 grub-efi-ia32-dbg_2.00-14_i386.deb
 eff2c3aee8c620036a910e6973e10bb5ade686ce 43530 grub-efi-ia32_2.00-14_i386.deb
 4cd24a3f4646ec2f85f9084329a86eb388dbe0d9 549710 grub-efi-amd64-bin_2.00-14_i386.deb
 fa85ef14853b8605ff92e41f0d09755d36606bc0 2338866 grub-efi-amd64-dbg_2.00-14_i386.deb
 324ab1cdf5d0730a6e8acf357142fe5b9af447d4 43520 grub-efi-amd64_2.00-14_i386.deb
 6f2cf865ce5cfe8f8cbfedcf6bb7295d0013630b 518712 grub-ieee1275-bin_2.00-14_i386.deb
 24c590ec74728e36689eafedad387c44d62d552e 2138914 grub-ieee1275-dbg_2.00-14_i386.deb
 b2918788091609e8bff544462ff6816fd93ed7db 43486 grub-ieee1275_2.00-14_i386.deb
 6a5054c21ce3fd208c0baa53cefa26b436e03984 938652 grub-firmware-qemu_2.00-14_i386.deb
 9b62e3cdf30f3cdf6ec8e1223ca338ae6fcbb9c8 2133316 grub-theme-starfield_2.00-14_i386.deb
 460871d41abc938a592c9bf5ef9b7c9b86605bbe 324602 grub-mount-udeb_2.00-14_i386.udeb
Checksums-Sha256: 
 a518eb356ab6cb6df859ad13a5f7ba9b5483642ba3de60f191d46df739abe006 4455 grub2_2.00-14.dsc
 6f66ca0e97603b54971c46cb983625a158b2f41f93cab5734c00eb7bac9213c1 353347 grub2_2.00-14.debian.tar.gz
 a06bdfd510d9785064d3107f506985f9a47e919971100ee8af3af4977ada679f 2500 grub2_2.00-14_i386.deb
 501124722d89c29ce976a39acf0e3ab0ad71ef89a2c03ef4cffb81f8229879eb 1088 grub-linuxbios_2.00-14_i386.deb
 c6b8ed393707a75a4c4e9507abf40b9110d6cafcde6788d0ef913df0cd33a5bf 1098 grub-efi_2.00-14_i386.deb
 12a6adc254bcf8186d9f5175ed8ed1d83e5db1a9e6d873ee70c9e617cc5e8234 2025386 grub-common_2.00-14_i386.deb
 38a263eb698dfa982a88b96853819b56e9c41e903bf65f42fa8df17bdffca1a4 115550 grub2-common_2.00-14_i386.deb
 4643accac7ff2f90f501c794b1ae3408908620504d49ec9fa3f2cfd816de5f60 2340242 grub-emu_2.00-14_i386.deb
 590f76867f73156f9d3b19e245c99c913a6e2ae480a52be788394e4ecc2d3653 1775118 grub-emu-dbg_2.00-14_i386.deb
 8505b35b147af2cbbb68caba5f4f5fe06c1675e9eaa68ea6f5b3bd16c255a64b 800084 grub-pc-bin_2.00-14_i386.deb
 1b6b3713bfbdf93723ef4f8554e828b6916126070e80c0b6d54948a2509d3ced 2317248 grub-pc-dbg_2.00-14_i386.deb
 f34b3196855fcc6c91c1a1520282404bb562dcec8cb92b88a538ac4a3a488ac7 168506 grub-pc_2.00-14_i386.deb
 7d538270ad83de5239ada1343951c18150db7bfa7296b86b5a67f8a05dbe25d6 1006052 grub-rescue-pc_2.00-14_i386.deb
 0620c45bfb9df9cd13a65c6e09336e3818de30281b050035f78db6145b99dc37 522924 grub-coreboot-bin_2.00-14_i386.deb
 74f73e333d654f8ed0a32858c3ebf20a90452da70ad63d51137e1c396f9a025c 2185216 grub-coreboot-dbg_2.00-14_i386.deb
 9d1b520a8c5e8570ba139b554d4a5e0fb095db965fc752ba339ec672db95974c 43488 grub-coreboot_2.00-14_i386.deb
 e92b0a0fa105f59f62fce98cbb79680706d35025115eecec65f76a48707ac030 531380 grub-efi-ia32-bin_2.00-14_i386.deb
 b0a52f0ec3ecefef026ef4cb229b7aa46e6c352b95c1d6f88f106feae50aef46 2259320 grub-efi-ia32-dbg_2.00-14_i386.deb
 fec1d074a8e9a77098f11b5fded0aeae190a675d4f9fbefb0e5feb32ab23035e 43530 grub-efi-ia32_2.00-14_i386.deb
 d323e2729f8963e8770e02fedf375e8a1480c2f7c000fc2fe146ccd4febf3440 549710 grub-efi-amd64-bin_2.00-14_i386.deb
 bab2b90be337c073d5c47046ed605a0cbada2106cf322a34e36f7f420f9eda75 2338866 grub-efi-amd64-dbg_2.00-14_i386.deb
 f8caaafc63f281451521aa486dee16c2a2c2486bd4f531f024fbe4eb08240fe5 43520 grub-efi-amd64_2.00-14_i386.deb
 6bc546e614ebd11e0bb5ecb4c019b9f5879795583362307b9d6d1f5923f5dc00 518712 grub-ieee1275-bin_2.00-14_i386.deb
 4f2cea418f1f39cdab75d38f32ab1e9348d2c74ed72e4bdb07e9a923b4e1d049 2138914 grub-ieee1275-dbg_2.00-14_i386.deb
 66438efe2ac3ef64de7bbaf8050315ea08c4a3d1b16290ed4037e3790bd07d85 43486 grub-ieee1275_2.00-14_i386.deb
 ccf55cb8b066efc5d573dcbf5568ab0a5397195e652e01c1b8e068704186019c 938652 grub-firmware-qemu_2.00-14_i386.deb
 94da74a7b87b0938dde60ef8f8a59572101d78c9f4797df937791669c52b0fe7 2133316 grub-theme-starfield_2.00-14_i386.deb
 df212ffa5f3b4d630564871091bce45bcf42d83f0dea3c92c0fd847e834a94f8 324602 grub-mount-udeb_2.00-14_i386.udeb
Files: 
 95a1b0722dbbbd1f5d6c303c2391c4ce 4455 admin extra grub2_2.00-14.dsc
 9a56243f0ffa40652299c4f5e62ad4cb 353347 admin extra grub2_2.00-14.debian.tar.gz
 bc86b73dcf3524dd191119a9cd161b0c 2500 oldlibs extra grub2_2.00-14_i386.deb
 4e65fda7bb6928823b516daa69762e52 1088 oldlibs extra grub-linuxbios_2.00-14_i386.deb
 0c5a0108ed8e1bbb697daf88ed46267a 1098 oldlibs extra grub-efi_2.00-14_i386.deb
 9246ea5925b6b0de9e2a349598516475 2025386 admin optional grub-common_2.00-14_i386.deb
 1cb17be3e9c57cd90f22cb1df68e243d 115550 admin optional grub2-common_2.00-14_i386.deb
 8128e6d422b8e6425da0191b1f0f3e3b 2340242 admin extra grub-emu_2.00-14_i386.deb
 f31f8201b066b8a7fed641386315180a 1775118 debug extra grub-emu-dbg_2.00-14_i386.deb
 8151f6d01691d0170842fb9044bc2b68 800084 admin optional grub-pc-bin_2.00-14_i386.deb
 8d758a7f7a5b5a9d3051a13aee171d62 2317248 debug extra grub-pc-dbg_2.00-14_i386.deb
 11f12580149d0ef716d5fd3f5fb99116 168506 admin optional grub-pc_2.00-14_i386.deb
 ce5b2cd0b0af4d84bb52be045b46b503 1006052 admin extra grub-rescue-pc_2.00-14_i386.deb
 8a07716d5d93295a4673de0fb4d2891f 522924 admin extra grub-coreboot-bin_2.00-14_i386.deb
 3062e80a5fd46f7bba4068125c330759 2185216 debug extra grub-coreboot-dbg_2.00-14_i386.deb
 1ea7ba90cd68c078b0a7e6481078ac62 43488 admin extra grub-coreboot_2.00-14_i386.deb
 1df269b19d9c22ee97f7a5affb78c13b 531380 admin extra grub-efi-ia32-bin_2.00-14_i386.deb
 64841c46bc74efa39348f7712461a464 2259320 debug extra grub-efi-ia32-dbg_2.00-14_i386.deb
 5d4bd6f9add8cb709599e8013a4747af 43530 admin extra grub-efi-ia32_2.00-14_i386.deb
 56d9194ebb4ffb34a51c16e5988fa75b 549710 admin extra grub-efi-amd64-bin_2.00-14_i386.deb
 3bc4fc2af0e04898bad38ed4bcfcd124 2338866 debug extra grub-efi-amd64-dbg_2.00-14_i386.deb
 c913c79f5864e06f7871be0b104acb3e 43520 admin extra grub-efi-amd64_2.00-14_i386.deb
 ebe0b29b8eee9bfc1ef60992a7d2196a 518712 admin extra grub-ieee1275-bin_2.00-14_i386.deb
 dcdae9c26203252f262181ae594a2a65 2138914 debug extra grub-ieee1275-dbg_2.00-14_i386.deb
 91752365c59964ab63e37be0bbf11ecf 43486 admin extra grub-ieee1275_2.00-14_i386.deb
 c64726e0a3892111ceb6351ba32ae96e 938652 admin extra grub-firmware-qemu_2.00-14_i386.deb
 dffbfc6811d151def44c7f97d2953437 2133316 admin extra grub-theme-starfield_2.00-14_i386.deb
 d830baa51103d9d6454f0e7d97407d7b 324602 debian-installer extra grub-mount-udeb_2.00-14_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUYtxJzk1h9l9hlALAQjF5Q/+I3Ocf0ubQjQJwFeA0oEvD1Nv9PlgxNvk
+lly0U5pmv/+FShMBYA4pauY/21VAonQ8zbLOk7B000QZ39IzHX85DwnkVImfFSJ
5p+xYAeX6/0eytySk+eUGGIFrFwkFEcqZ/nsJ96+LSEQnLLrnR5vJnws9hUK5Dda
m/wGoWKiNXJekPL5R0ouCDQcptCr4fIH+La+0NJJAQ2KMRq2dUyaFV8Q+b2C9AuB
JLkiDeHIfTAagTo4h0xahUBl0KuU2X7ffjPFbqDgYtRPVUfXH9x6ELi8Od+IhAiQ
bdcJZRaxgng1fpylUf6q1PiMk9mYBNVqI/X77k8SFQz4bXkzTwu2xJbNsN3ShQC5
AeZGqghnv6sbxQGV0eTLmy2sZwHtdRlsRMh+DfHg6XxxqXQO0QaFUze8kAKOniy2
C8RxPFqoDn4yaO1cHDuGQ/R79W7znX3Y9DNXgMoj/+HWvQjOocwD50U1ElF6GcK2
+YQHinCQl53QwHOL7OcbOGN1qw0PjI0n2FGOXOvoDYaph+NRPPUOpeFumhPdYUh0
YKm0D5Kj/mJtgF1Qja8c815i//YZ39Kzfc0MzY0fbVfCp8lGZfs9MDPTib8wNE1g
ACsHvdZGrIzFL0iOtKrZaHh7/H7W34VUPjZigsu/bM5jv18LffemoDB+o69/wa50
SDSu3jwzWKc=
=AbPP
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 10 May 2013 08:09:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Jun 2013 07:26:58 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Andrey Rahmatullin <wrar@wrar.name> to control@bugs.debian.org. (Sat, 17 Aug 2013 23:09:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Sep 2013 07:27:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:46:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.